@import 'variables';
@import 'utilities';
@import url('https://fonts.googleapis.com/css2?family=Raleway:wght@300;400;500;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Raleway:wght@300;500&display=swap');
$raleway: 'Raleway', sans-serif;
body {
  font-family: 'Raleway', sans-serif;
  line-height: 1.6;
  min-width: 320px;
}

.noscroll {
  position: fixed;
  overflow: hidden;
}

#search-container {
  display: none;
  z-index: 1;
  // position: absolute;
  position: sticky;
  top: 0;
  left: 0;
  background: $bg-secondary;
  height: 100vh;
  width: 100%;
  padding: 1rem;
  .btn-exit {
    text-align: end;
    padding-bottom: 1rem;
    font-size: 1.3rem;
    font-weight: 700;
    color: $white-color;
    cursor: pointer;
  }
  .form-group {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-evenly;
    .input-text {
      display: flex;
      flex-flow: row wrap;
      width: 70%;
      border: 1px solid #e7e7eb;
      .fa {
        width: 20%;
        color: #616475;
        padding: 1rem;
      }
      input {
        width: 80%;
        border: none;
        outline: none;
        background: transparent;
        color: $white-color;
      }
    }
    button {
      max-width: 575px;
      padding: 0.5rem 0.7rem;
      border: none;
      outline: none;
      color: $white-color;
      background: $primary-color;
      cursor: pointer;
    }
  }
  .result-list {
    color: $white-color;
    padding: 2rem 0rem;
    ul {
      li {
        padding: 1.3rem 0.3rem;
        margin: 2rem 0;
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;

        .fas {
          color: #616475;
          font-size: 1rem;
          padding: 0 0.5rem;
        }
      }
      a {
        color: #e7e7eb;
        display: inline-block;
        padding-left: 1rem;
      }

      .active {
        border: 1px solid #616475;
      }
    }
  }
}

// Main
#weather-today {
  display: flex;
  flex-direction: column;
  height: 100vh;
  background: $bg-secondary;
  color: $gray-color;
  text-align: center;
  // Nav
  .nav {
    // margin: 1rem;
    padding: 1.5rem 1.5rem;
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;

    .current-location {
      border: none;
      outline: none;
      background: #6e707a;
      padding: 0.2rem;
      i {
        padding: 0.5rem;
        color: $white-color;
      }
    }
  }
  .btn-search {
    cursor: pointer;
  }
  .current-location {
    border-radius: 50%;
    padding: none;
    i {
      font-size: 1.2rem;
      padding: 0.1rem;
    }
  }
  .content {
    .shower-container {
      width: 100%;
      height: 30vh;
      display: flex;
      align-items: center;
      justify-content: center;
      position: relative;
      img {
        position: absolute;
        width: 30%;
      }
      &::before{
        content: '';
        background: url('../img/Cloud-background.png') no-repeat center center/cover;
        opacity: 0.1;
        width: 100%;
        height: 30vh;
      }
    }
    h1 {
      font-size: 6rem;
      font-family: $raleway;
      font-weight: 500;
      color: #fff;
      span {
        color: $gray-color;
      }
    }

    p:not(.lead) {
      font-size: 1.2rem;
      font-weight: 500;
    }
  }
}

// Weather Update
#weather-update {
  background: $bg-primary;
  padding: 1rem;
  margin: auto;
  .list-weather {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1rem;
    .card {
      background: $bg-secondary;
      text-align: center;
      //   margin: 0.3rem;
      img {
        width: 50%;
        display: block;
        margin: auto;
      }
    }
  }
  .highlights {
    margin: 2rem 0;
    .highlight-wrap {
      .card {
        margin-bottom: 1rem;
        height: 13rem;
        text-align: center;
        display: flex;
        flex-flow: column;
        justify-content: space-around;
        h3 {
          font-size: 3rem;
        }
        &:nth-child(3) h3,
        &:nth-child(4) h3 {
          font-size: 4rem;
          padding: 0;
          small {
            font-size: 2rem;
            font-weight: 300;
          }
        }
        &:nth-child(1) h3 {
          small {
            font-size: 2rem;
            font-weight: 300;
          }
        }
        .fa-location-arrow {
          transform: rotate(180deg);
          margin-right: 1rem;
          padding: 0.5rem;
          font-size: 0.7rem;
          background: $gray-color;
          border-radius: 50%;
        }
        .progress-bar-complete {
          width: 90%;
          margin: auto;
          .progress-bar {
            background: $gray-color;
            border-radius: 10px;
            .percent {
              padding: 0.4rem 0;
              border-radius: 10px;
              width: 70%;
              background: $secondary-color;
            }
          }
          p {
            padding: 0;
          }
          p:nth-of-type(1) {
            text-align: end;
            padding: 0;
          }
        }
      }
    }
  }
}

.footer {
  margin-top: 3rem;
  margin-bottom: 1rem;
  text-align: center;
}
